Get Sector by ID
GET
/api/v1/sectors/{sectorID}
const url = 'https://api.spartanauth.com/api/v1/sectors/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.spartanauth.com/api/v1/sectors/exampleReturns the details of a sector by its unique ID. Requires the user to be an admin of the sector or the default sector.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sectorID
required
string
Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
sectorID
string
name
string
domain
string
isDefault
boolean
allowedOrigins
Array<string>
slug
string
Example generated
{ "sectorID": "example", "name": "example", "domain": "example", "isDefault": true, "allowedOrigins": [ "example" ], "slug": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}